#### D.13.2.46 fullFan

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  fullFan(n); n int

Return:
  fan, an full fan in ambient dimension n

Example:

    LIB "gfan.lib";
    fan f=fullFan(2);
    f;
    ==> _application PolyhedralFan
    ==> _version 2.2
    ==> _type PolyhedralFan
    ==>
    ==> AMBIENT_DIM
    ==> 2
    ==>
    ==> DIM
    ==> 2
    ==>
    ==> LINEALITY_DIM
    ==> 2
    ==>
    ==> RAYS
    ==>
    ==> N_RAYS
    ==> 0
    ==>
    ==> LINEALITY_SPACE
    ==> -1 0	# 0
    ==> 0 -1	# 1
    ==>
    ==> ORTH_LINEALITY_SPACE
    ==>
    ==> F_VECTOR
    ==> 1
    ==>
    ==> SIMPLICIAL
    ==> 1
    ==>
    ==> PURE
    ==> 1
    ==>
    ==> CONES
    ==> {}	# Dimension 2
    ==>
    ==> MAXIMAL_CONES
    ==> {}	# Dimension 2
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.